------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-02
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(51, 43)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:AddPlayer(143, 51, 43, "MonsterChild", 0, 0)
Player_1:SetDir(7)
local Effect_2 = CppScriptMgr:AddEffect("2023qqqx15", 54, 46, 33, 1, 1, 1)
Effect_2:Scale(3, 3, 3)
local effect_0 = CppScriptMgr:AddEffect("2023qqqx15", 54, 46, 33, 1, 1, 1)
effect_0:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(320)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(180)
Player_1:Say("I will eat you all!", 1000)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(1380)
Player_1:SetAction(330)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 51, 43, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1910)
Player_1:Say("Ahhh!!! It hurts! You`re going to regret this!", 1000)
CppScriptMgr:WaitMilSec(1160)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 51, 43, 33, 1, 1, 1)
Player_1:SetAction(330)
CppScriptMgr:WaitMilSec(2030)
Player_1:Say("Please! Let me go! I will not do that again!", 2000)
CppScriptMgr:WaitMilSec(1350)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e233", 51, 43, 33, 1, 1, 1)
Player_1:SetAction(330)
CppScriptMgr:WaitMilSec(1630)